<!DOCTYPE html>
<html lang="en">
    <style>
        .center {
            margin: auto;
            padding: 10px;
        }
        .flip-card {
            background-color: transparent;
            width: 250px;
            height: 200px;
            perspective: 1000px;
            margin: 16px;
            border-radius: 12px;
        }
        .flip-card-inner {
            position: relative;
            width: 100%;
            height: 100%;
            text-align: center;
            transition: transform 1s;
            transform-style: preserve-3d;
            box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
            border-radius: 12px;
        }
        .flip-card:hover .flip-card-inner {
            transform: rotateY(180deg);
            border-radius: 12px;
        }
        .flip-card-front, .flip-card-back {
            position: absolute;
            width: 100%;
            height: 100%;
            -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
            border-radius: 12px;
            padding: 20px;
        }
        .flip-card-front {
            background-color: palevioletred;
            color: aliceblue;
            border-radius: 12px;
            padding: 20px;
        }
        .flip-card-back {
            background-color: beige;
            transform: rotateY(180deg);
            border-radius: 12px;
            padding: 20px;
        }
        .topnav {
            overflow: hidden;
            background-color: rgb(56, 56, 56);
            border-radius: 40px;
            padding: 8px;
        }
        .topnav a {
            float: left;
            color: beige;
            text-align: center;
            padding: 14px 16px;
            text-decoration: none;
            font-size: 17px;
            font-family:'Franklin Gothic';
            border-radius: 40px;
            margin-right: 10px;
        }
        .topnav a:hover {
            background-color: rgb(43, 43, 43);
            color: lightskyblue;
            border-radius: 40px;
            margin-right: 10
        }
        .topnav a.active {
            background-color: lightskyblue;
            color: rgb(43, 43, 43);
            border-radius: 40px;
            margin-right: 10px;
        }
        .topnav a.lab4 {
            margin-left: 720px;
            color: palevioletred;
        }
    </style>
    <head>
        <!-- dari bootstrap -->
        <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">

        <meta charset="UTF-8" />
        <title>Note List</title>
    </head>
    <body style="background-color: rgb(43, 43, 43); padding: 8px;">
        <!-- navbar -->
        <div class="topnav">
            <a href="/lab-4/">Table View</a>
            <a class="active">Card View</a>
            <a href="/lab-4/add-note">Send New Note</a>
            <a class="lab4" href="/">PBP LAB-4</a>
        </div>
        <!-- content -->
        <br>
        <h4 style="font-family:'Franklin Gothic Medium'; background-color: lightskyblue; color: rgb(43, 43, 43); border-radius: 8px; padding-left: 16px; padding-top: 5px; padding-bottom: 5px; text-align: center;">
            🍑💌🤓 These Are The Messages 🤓💌🍑
        </h4>
        <div class="center">
        <div class="container">
        <div class="row">
            {% for note in notes %}
            <div class="flip-card">
                <div class="flip-card-inner">
                  <div class="flip-card-front">
                    <p>
                        To: {{ note.to }} <br>
                        From: {{ note.dari }}
                    </p>
                    <h4>"{{ note.title }}"</h4>
                  </div>
                  <div class="flip-card-back">
                    <p>{{ note.message }}</p>
                  </div>
                </div>
            </div>
            {% endfor %}
        </div>
        </div>
        </div>
    </body>
</html>